Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.job
Class JobDTD

    java.lang.Object
      com.novell.nds.dirxml.job.JobDTD

    public abstract class JobDTD

extends Object

Class containing `String` constants for various XML identifiers used in the job definition XML.

Field Summary
`static String` | `ATTR_AUTO_DELETE`
`static String` | `ATTR_DISABLED`
`static String` | `ATTR_SCHEDULE`
`static String` | `ATTR_SCOPE_REQUIRED`
`static String` | `ATTR_TYPE`
`static String` | `TAG_CONTAINMENT`
`static String` | `TAG_JAVA_CLASS`
`static String` | `TAG_JOB_AGGREGATION`
`static String` | `TAG_JOB_DEFINITION`
`static String` | `VAL_FALSE`
`static String` | `VAL_JAVA`
`static String` | `VAL_SCRIPT`
`static String` | `VAL_TRUE`

Constructor Summary
`JobDTD()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TAG_JOB_AGGREGATION

    public static final String TAG_JOB_AGGREGATION

See Also:
  Constant Field Values

### TAG_JOB_DEFINITION

    public static final String TAG_JOB_DEFINITION

See Also:
  Constant Field Values

### TAG_CONTAINMENT

    public static final String TAG_CONTAINMENT

See Also:
  Constant Field Values

### TAG_JAVA_CLASS

    public static final String TAG_JAVA_CLASS

See Also:
  Constant Field Values

### ATTR_TYPE

    public static final String ATTR_TYPE

See Also:
  Constant Field Values

### ATTR_SCHEDULE

    public static final String ATTR_SCHEDULE

See Also:
  Constant Field Values

### ATTR_SCOPE_REQUIRED

    public static final String ATTR_SCOPE_REQUIRED

See Also:
  Constant Field Values

### ATTR_DISABLED

    public static final String ATTR_DISABLED

See Also:
  Constant Field Values

### ATTR_AUTO_DELETE

    public static final String ATTR_AUTO_DELETE

See Also:
  Constant Field Values

### VAL_JAVA

    public static final String VAL_JAVA

See Also:
  Constant Field Values

### VAL_SCRIPT

    public static final String VAL_SCRIPT

See Also:
  Constant Field Values

### VAL_TRUE

    public static final String VAL_TRUE

See Also:
  Constant Field Values

### VAL_FALSE

    public static final String VAL_FALSE

See Also:
  Constant Field Values

Constructor Detail

### JobDTD

    public JobDTD()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD